summaryrefslogtreecommitdiff
path: root/bin/makedoc.sh
diff options
context:
space:
mode:
authortill <till@php.net>2009-01-09 21:37:41 +0000
committertill <till@php.net>2009-01-09 21:37:41 +0000
commit396afd474229d25a42633243bcaf1de0d990ecbe (patch)
tree1af7c4cb459dc7ca46525ea5cf4b54f543c5a07e /bin/makedoc.sh
parentd4847048a18b0f51107a078add14563ecadf4701 (diff)
* generalized executable paths for bash and phpdoc
* simplyfied probing for phpdoc * added checks to make sure this is executed on the shell
Diffstat (limited to 'bin/makedoc.sh')
-rwxr-xr-xbin/makedoc.sh23
1 files changed, 14 insertions, 9 deletions
diff --git a/bin/makedoc.sh b/bin/makedoc.sh
index 02bc7a216..26757c0a7 100755
--- a/bin/makedoc.sh
+++ b/bin/makedoc.sh
@@ -1,4 +1,13 @@
-#!/bin/bash
+#!/usr/bin/env bash
+
+if [ -z "$SSH_TTY" ]
+then
+ if [ -z "$DEV_TTY" ]
+ then
+ echo "Not on the shell."
+ exit 1
+ fi
+fi
TITLE="RoundCube Classes"
PACKAGES="Core"
@@ -6,15 +15,11 @@ PACKAGES="Core"
INSTALL_PATH="`dirname $0`/.."
PATH_PROJECT=$INSTALL_PATH/program/include
PATH_DOCS=$INSTALL_PATH/doc/phpdoc
+BIN_PHPDOC="`/usr/bin/which phpdoc`"
-if [ -x /usr/local/php5/bin/phpdoc ]
-then
- PATH_PHPDOC=/usr/local/php5/bin/phpdoc
-elif [ -x /usr/bin/phpdoc ]
+if [ ! -x "$BIN_PHPDOC" ]
then
- PATH_PHPDOC=/usr/bin/phpdoc
-else
- echo "phpdoc not found"
+ echo "phpdoc not found: $BIN_PHPDOC"
exit 1
fi
@@ -24,6 +29,6 @@ TEMPLATE=earthli
PRIVATE=off
# make documentation
-$PATH_PHPDOC -d $PATH_PROJECT -t $PATH_DOCS -ti "$TITLE" -dn $PACKAGES \
+$BIN_PHPDOC -d $PATH_PROJECT -t $PATH_DOCS -ti "$TITLE" -dn $PACKAGES \
-o $OUTPUTFORMAT:$CONVERTER:$TEMPLATE -pp $PRIVATE